package sgc.portal.cw.cw0608.web;

import org.springframework.web.bind.annotation.*;
import sgc.portal.base.util.EasyHashMap;
import sgc.portal.cw.cw0608.model.CW06080001U;
import sgc.portal.cw.cw0608.dto.CW06080001USearch;
import sgc.portal.cw.cw0608.service.CW06080001UService;

import java.util.List;
import java.util.Map;

@RestController
@RequestMapping("/cw/cw0608")
public class CW06080001UController {
    private final CW06080001UService service;

    public CW06080001UController(CW06080001UService service) {
        this.service = service;
    }

    @PostMapping("/CW06080001U/list")
    public List<EasyHashMap<String, Object>> getList(@RequestBody CW06080001USearch search) {
        return service.getList(search);
    }

    @PostMapping("/CW06080001U/listQA")
    public List<EasyHashMap<String, Object>> getListQA(@RequestBody CW06080001USearch search) {
        return service.getListQA(search);
    }
    
    @PostMapping("/CW06080001U/conf")
    public Map<String, String> updateConf(@RequestBody List<CW06080001U> CW06080001U) {
    	return service.updateConf(CW06080001U);
    }
    
    @PostMapping("/CW06080001U/return")
    public Map<String, String> updateReturn(@RequestBody List<CW06080001U> CW06080001U) {
    	return service.updateReturn(CW06080001U);
    }

    @PostMapping("/CW06080001U/save")
    public Map<String, String> save(@RequestBody List<CW06080001U> CW06080001U) {
    	return service.save(CW06080001U);
    }
    
    
}
